package net.porkbuns.my_story;

import android.app.Dialog;
import android.content.Context;
import android.view.View;
import android.widget.Button;

public class NoConnectionDialog extends Dialog
{
	public NoConnectionDialog(Context c)
	{
		super(c);
		this.setContentView(R.layout.noconnection);
		this.setTitle("Error contacting server");
		this.setCancelable(false);
	}
	
	public void setTryAgainListener (View.OnClickListener v) 
	{
		Button tryAgain = (Button) this.getWindow().findViewById(R.id.tryagain);
		tryAgain.setOnClickListener(v);
	}
	
	protected void setCancelListener (View.OnClickListener v) 
	{
		Button cancel = (Button) this.getWindow().findViewById(R.id.cancel);
		cancel.setOnClickListener(v);
	}
}