package net.porkbuns.my_story;

import java.util.ArrayList;
import java.util.HashMap;

import net.porkbuns.my_story.api.RecentEvent;

import android.app.ListActivity;
import android.os.Bundle;
import android.widget.SimpleAdapter;

public class RecentEvents extends ListActivity {

	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);

		setListAdapter(new SimpleAdapter(this, createData(RecentEvent.getRecent()),
				android.R.layout.simple_list_item_2, new String[] { "title", "message" },
				new int[] { android.R.id.text1, android.R.id.text2 }));
		setTitle("My Story > Recent Events");
	}

	private ArrayList<HashMap<String, String>> createData(ArrayList<RecentEvent> events) {
		ArrayList<HashMap<String, String>> r = new ArrayList<HashMap<String, String>>(events.size());
		HashMap<String, String> m;

		for (RecentEvent e : events) {
			m = new HashMap<String, String>(2);
			m.put("title", e.getTitle());
			m.put("message", e.getMessage());
			r.add(m);
		}

		return r;
	}
}