package net.porkbuns.my_story;

import net.porkbuns.my_story.api.User;
import android.app.Activity;
import android.os.Bundle;
import android.widget.GridView;

public class Friend extends Activity {
	private AvatarLayout avatarLayout;
	private User currentUser;
	private String friendName;

	@Override
	protected void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		Bundle extras = getIntent().getExtras();
		currentUser = Friends.friendList.get(extras.getInt("Position"));
		friendName = extras.getString("Name");
		setTitle("My Story > Friends > " + friendName + "'s room");
		setContentView(R.layout.edit_room_avatar_main);
		
		//Load a background for the current screen from the "room_background" drawable
        this.getWindow().setBackgroundDrawableResource(R.drawable.roombackground);

		avatarLayout = (AvatarLayout) findViewById(R.id.avatar_layout_main);
		avatarLayout.setUser(currentUser);
		GridView g = (GridView) findViewById(R.id.myGrid);
		g.setAdapter(new ImageAdapterRoomView(Friend.this, currentUser));
		// make the room view un-selectable
		g.setFocusable(false);

		avatarLayout.redraw();
	}

}
